// Minimal assembler example for stm32f051 to be used in a inline Machine Word "2plus"
// Requires svd2as
// Board: stm32f0 Discovery
// 1 June 2018  Copyright <terry@tjporter.com.au> Released under the GPL
// 

.cpu cortex-m0					      // Tell the assembler what model of CortexM this is for
.thumb						      // Cortex micros only understand thumb(2) code  
.text						      // what follows is code
.include "bitposn-equates.s"			      // a list of ".equ  BIT0,    0x00000001", ".equ  BIT1,    0x00000002" etc
.include "STM32F0xx-tp1.svd.s"			      // Created by svd2as
.syntax unified // use newer style instructions
Vector_Table:	.word     0x20000000		      // stack pointer value when stack is empty 0x20000000
ResetVector:    .word     start + 1		      // Reset Handler 
 
start:
//    Input parameter will be saved in R6
	 movs r1, #2				// move 2 into r1
	 adds r2, r6, r1			// add with carry, r1 + r6 and place result into r2. Note: r6 is TOS on entry
	 movs r6, r2				// move the contents of r2 into r6. Note: result is placed back on teh stack on exit		

			 

